<?php

class ReportController extends AdminController
{
    public function all(){
        return View::make('admin.report.all');
    }

    public function show($id){
        try {
            $report = LReport::get($id);

            return View::make('admin.report.show')
                ->with('report', $report);

        } catch(Exception $e) {
            return Redirect::route('reports');
        }
    }
}